API Explorer 896 endpoints

Create new activity_sustainable_development_goal

POST /obp/dynamic-entity/banks/ogcr/activity_sustainable_development_goal

OBPv4.0.0-dynamicEntity_createactivity_sustainable_development_goal_ogcr Roles: CanCreateDynamicEntityRecord_activity_sustainable_development_goal(per bank) _Activity_sustainable_development_goal(ogcr)Dynamic-EntityDynamic

Create new activity_sustainable_development_goal.

Entity for listing sustainable development goals being addressed by an activity. This Dynamic Entity is part of OGCR.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"activity_sustainable_development_goal"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_id": "string",
  "sustainable_development_goal_id": "CLIMATE_ACTION"
}
Example success response
{
  "bank_id": "ogcr",
  "activity_sustainable_development_goal": {
    "activity_sustainable_development_goal_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "activity_id": "string",
    "sustainable_development_goal_id": "CLIMATE_ACTION"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createactivity_sustainable_development_goal_ogcr Originally /banks/ogcr/activity_sustainable_development_goal